package org.vostok.management.test.web.partB;

import org.vostok.management.annotations.MBean;

/**
 * this bean provide the 4 basics arithmetic operations. Part of the VostokMbeanSample pack. this bean is in a separate web application to illustrate the use of external dependecies
 * It's on VostokMBeanWebB in order to be sure it doesn't get deployed fisrt due to an alphabetic ordering from the application server at boot time, and therefore demontrate dependencies between beans.
 *
 * @author levreau.jerome@vostoksystem.eu
 */
@MBean // don't set a jndi name, therefore will be "bean:org.vostok.management.test.web.partB=ArithmeticService"
public class Arithmetic {

	public float add(float a, float b) {
		return a + b;
	}

	public float sub(float a, float b) {
		return a - b;
	}

	public float mul(float a, float b) {
		return a * b;
	}

	public float div(float a, float b) throws NullPointerException {
		return a / b;
	}
}
